---
name: Issue
about: Ask a question or report a problem with Polaris or the documentation
labels: Bug
---

<!-- For feature requests, please use the following template: https://github.com/Shopify/polaris-react/issues/new?labels=Feature+request&template=FEATURE_REQUEST.md -->

## Issue summary

<!--
Write a short description of the issue here ↓
-->


## Expected behavior

<!--
What do you think should happen?
-->


## Actual behavior

<!--
What actually happens?

Tip: include an error message (in a `<details></details>` tag) if your issue is related to an error while running Polaris.

If you include an animated gif showing your issue, wrapping it in a details tag is also recommended. Gifs usually autoplay, which can cause accessibility issues for people reviewing your PR:

    <details>
      <summary>Summary of your gif(s)</summary>
      <img src="..." alt="Description of what the gif shows">
    </details>

-->


## Steps to reproduce the problem

1.
1.
1.

## Reduced test case

The best way to get your bug fixed is to provide a reduced test case. This [CodeSandbox template](https://codesandbox.io/s/q82mlq0m26) is a great starting point.

## Specifications

- Are you using the React components? (Y/N):
- Polaris version number:
- Browser:
- Device:
- Operating System:


Or run `npx envinfo --system --binaries --browsers --npmPackages react,react-dom,@shopify/polaris` to provide specifications on your environment including version numbers, browser, device, and operating system.

Paste the results here:

```bash

```
